Subject: [IPP] Newest IPP Operations - PWG 5100.5

From: Ira McDonald <[email-masked]>
Date: Mon, 14 Sep 2009 18:55:40 -0400

Hi Tom,

The only PWG IPP spec that adds new operations is
the Document Object:

  ftp://ftp.pwg.org/pub/pwg/candidates/cs-ippdocobject10-20031031-5100.5.pdf

on page 63 in Table 16.

To follow PWG Process/3.0, we should use 'NN' in our PP Set2 spec until
approval (in case it is NOT approved) for Resubmit-Job 0xNN value.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Blue Roof Music/High North Inc
email: [email-masked]
winter:
  579 Park Place  Saline, MI  48176
  734-944-0094
summer:
  PO Box 221  Grand Marais, MI 49839
  906-494-2434

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp

---

From: "Tom Hastings" <[email-masked]>
Date: Mon, 14 Sep 2009 17:22:48 -0700

Ira,

Sounds like a good idea to wait until approval to assign the value for our
new Resubmit-Job operation.

In the meantime, here is what I found:

The Document object spec cs-ippdocobject10-20031031-5100.5.pdf has:
operations-supported (1setOf type2 enum)         [rfc2911]   4.4.15
  0x0033     Cancel-Document                    [pwg5100.5]   4.5 
  0x0034     Get-Document-Attributes            [pwg5100.5]   4.3 
  0x0035     Get-Documents                      [pwg5100.5]   3.3 
  0x0036     Delete-Document                    [pwg5100.5]   5.4 
  0x0037     Set-Document-Attributes            [pwg5100.5]   4.4 

RFC 3998 March 2005 Job and Printer Administrative Operations has:

Attribute (attribute syntax)
Value Name Reference Section
------- -------------------- --------- -------
operations-supported (1setOf type2 enum) [RFC2911] 4.4.1
0x0022 Enable-Printer [RFC3998] 3
0x0023 Disable-Printer [RFC3998] 3
0x0024 Pause-Printer-After-Current-Job [RFC3998] 3
0x0025 Hold-New-Jobs [RFC3998] 3
0x0026 Release-Held-New-Jobs [RFC3998] 3
0x0027 Deactivate-Printer [RFC3998] 3
0x0028 Activate-Printer [RFC3998] 3
0x0029 Restart-Printer [RFC3998] 3
0x002A Shutdown-Printer [RFC3998] 3
0x002B Startup-Printer [RFC3998] 3
0x002C Reprocess-Job [RFC3998] 4
0x002D Cancel-Current-Job [RFC3998] 4
0x002E Suspend-Current-Job [RFC3998] 4
0x002F Resume-Job [RFC3998] 4
0x0030 Promote-Job [RFC3998] 4
0x0031 Schedule-Job-After [RFC3998] 4

So there is a gap at 0x0032 for some reason.  (Also 0x001E-0x0020).  These
gaps may be due to having been assigned prematurely in a draft and then the
operation was removed before the draft was approved.  

In any case, I've added to the Set2 Draft at the beginning of Section 10.3
Type2 enum attribute value registrations:

[[[ PWG Secretary: Replace 'NN' w/ next available operation code before
publication ]]]

Tom

-----Original Message-----
From: Ira McDonald [mailto:[email-masked]] 
Sent: Monday, September 14, 2009 15:56
To: [email-masked]; Tom Hastings; Ira McDonald; Zehler, Peter; Michael R Sweet
Subject: Newest IPP Operations - PWG 5100.5

Hi Tom,

on page 63 in Table 16.

Cheers,
- Ira